Comments
Comments aid conversation and collaboration around workspace datasets. Comments can be made on datasets, or other comments to form threads.
Objects
Comment
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The comment ID |
message | string | The comment message | |
likeCount | number | Unsigned integer | The number of likes the comment has received |
likedByProfiles | object[] | Array of Members | The workspace members that have liked the comment |
created | string | ISO 8601 timestamp | Timestamp denoting when the comment was created |
lastModified | string | ISO 8601 timestamp | Timestamp denoting when the comment was last modified |
from | object | Member | The comment author |
commentCount | number | Unsigned integer | The number of replies the comment has received |
datasetId | string | Version 4 UUID | The ID of the dataset comment subject |
parentId | string | Version 4 UUID | The ID of the parent comment |
{
"id" : "2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:03.134240673] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:03.188721",
"lastModified" : "2026-10-23T13:46:03.188722",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"type" : "POST"
}
}
}
Requests
View all comments on a dataset
GET /api/datasets/{dataset-id}/comments
Returns all comments on the dataset {dataset-id}.
Prerequisites
- Dataset
{dataset-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments' -i -X GET
import requests
url = "https://app.meltano.com:443/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment collection with HAL links.
{
"_embedded" : {
"datasetComments" : [ {
"id" : "9999541d-2ec7-4143-a65d-113ec8e3725b",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:02.132035472] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:02.200148",
"lastModified" : "2026-10-23T13:46:02.200148",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"_links" : {
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/9999541d-2ec7-4143-a65d-113ec8e3725b",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/9999541d-2ec7-4143-a65d-113ec8e3725b",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/9999541d-2ec7-4143-a65d-113ec8e3725b"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/9999541d-2ec7-4143-a65d-113ec8e3725b/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/9999541d-2ec7-4143-a65d-113ec8e3725b",
"type" : "POST"
}
}
}, {
"id" : "1914caf6-7e2a-4f33-a914-bcb0bb0061b3",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:01.956296434] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:02.013054",
"lastModified" : "2026-10-23T13:46:02.013055",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/1914caf6-7e2a-4f33-a914-bcb0bb0061b3/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/1914caf6-7e2a-4f33-a914-bcb0bb0061b3",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/1914caf6-7e2a-4f33-a914-bcb0bb0061b3",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/1914caf6-7e2a-4f33-a914-bcb0bb0061b3"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/1914caf6-7e2a-4f33-a914-bcb0bb0061b3/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/1914caf6-7e2a-4f33-a914-bcb0bb0061b3",
"type" : "POST"
}
}
}, {
"id" : "0fd686c7-e4c1-44b0-babd-132ed6d333c5",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:01.806793050] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:01.867316",
"lastModified" : "2026-10-23T13:46:01.867317",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/0fd686c7-e4c1-44b0-babd-132ed6d333c5/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/0fd686c7-e4c1-44b0-babd-132ed6d333c5",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/0fd686c7-e4c1-44b0-babd-132ed6d333c5",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/0fd686c7-e4c1-44b0-babd-132ed6d333c5"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/0fd686c7-e4c1-44b0-babd-132ed6d333c5/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/0fd686c7-e4c1-44b0-babd-132ed6d333c5",
"type" : "POST"
}
}
}, {
"id" : "ad955dd4-7dd2-44b0-8add-215ab26f4d4e",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:00.255427166] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:00.308713",
"lastModified" : "2026-10-23T13:46:00.308714",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 3,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"_links" : {
"comments" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments?parentId=ad955dd4-7dd2-44b0-8add-215ab26f4d4e",
"type" : "GET"
},
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 4,
"totalPages" : 1,
"number" : 0
}
}
View a comment
GET /api/comments/{comment-id}
Returns the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6' -i -X GET
import requests
url = "https://app.meltano.com:443/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:03.134240673] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:03.188721",
"lastModified" : "2026-10-23T13:46:03.188722",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"type" : "POST"
}
}
}
View the edit history of a comment
GET /api/comments/{comment-id}/history
Returns the edit history of the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6/history' -i -X GET
import requests
url = "https://app.meltano.com:443/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6/history"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
[ {
"lastModified" : "2026-10-23T13:46:03.200",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:03.134240673] to ",
"editVersion" : "2022669"
}, {
"lastModified" : "2026-10-23T13:46:03.392",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:03.326233865] to ",
"editVersion" : "2022670"
} ]
View all replies to a comment
GET /api/comments/{comment-id}
Returns all replies to the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments?parentId=ad955dd4-7dd2-44b0-8add-215ab26f4d4e' -i -X GET
import requests
url = "https://app.meltano.com:443/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments?parentId=ad955dd4-7dd2-44b0-8add-215ab26f4d4e"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"_embedded" : {
"datasetComments" : [ {
"id" : "e1572ca1-2ea8-42cb-a370-3d8ea75451f0",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:01.086166652] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:01.136885",
"lastModified" : "2026-10-23T13:46:01.136886",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"parentId" : "ad955dd4-7dd2-44b0-8add-215ab26f4d4e",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/e1572ca1-2ea8-42cb-a370-3d8ea75451f0/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/e1572ca1-2ea8-42cb-a370-3d8ea75451f0",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/e1572ca1-2ea8-42cb-a370-3d8ea75451f0",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/e1572ca1-2ea8-42cb-a370-3d8ea75451f0"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/e1572ca1-2ea8-42cb-a370-3d8ea75451f0/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/e1572ca1-2ea8-42cb-a370-3d8ea75451f0",
"type" : "POST"
}
}
}, {
"id" : "f03636ac-806c-4f3d-818e-2d5861e60f28",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:00.949935810] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:00.998741",
"lastModified" : "2026-10-23T13:46:00.998741",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"parentId" : "ad955dd4-7dd2-44b0-8add-215ab26f4d4e",
"_links" : {
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/f03636ac-806c-4f3d-818e-2d5861e60f28",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/f03636ac-806c-4f3d-818e-2d5861e60f28",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/f03636ac-806c-4f3d-818e-2d5861e60f28"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/f03636ac-806c-4f3d-818e-2d5861e60f28/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/f03636ac-806c-4f3d-818e-2d5861e60f28",
"type" : "POST"
}
}
}, {
"id" : "62c0848a-1b1a-4c3f-bb81-20b6b76cebc1",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:00.809437937] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:00.859789",
"lastModified" : "2026-10-23T13:46:00.85979",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"parentId" : "ad955dd4-7dd2-44b0-8add-215ab26f4d4e",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/62c0848a-1b1a-4c3f-bb81-20b6b76cebc1/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/62c0848a-1b1a-4c3f-bb81-20b6b76cebc1",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/62c0848a-1b1a-4c3f-bb81-20b6b76cebc1",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/62c0848a-1b1a-4c3f-bb81-20b6b76cebc1"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/62c0848a-1b1a-4c3f-bb81-20b6b76cebc1/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/62c0848a-1b1a-4c3f-bb81-20b6b76cebc1",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments?parentId=ad955dd4-7dd2-44b0-8add-215ab26f4d4e&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
Initialise a comment on a dataset
POST /api/datasets/{dataset-id}/comments
Initialises a new comment on the dataset {dataset-id}.
Prerequisites
- Dataset
{dataset-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "817ee068-b1a5-488f-84d3-a79cf4927869",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:02.94372533",
"lastModified" : "2026-10-23T13:46:02.943726147",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"_links" : {
"create comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/817ee068-b1a5-488f-84d3-a79cf4927869",
"type" : "PUT"
}
}
}
Initialise a reply to a comment
POST /api/comments/{comment-id}
Initialises a new reply comment to the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "6829fddc-1661-432d-8871-380f61106d2d",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:02.531927144",
"lastModified" : "2026-10-23T13:46:02.531927826",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"parentId" : "ad955dd4-7dd2-44b0-8add-215ab26f4d4e",
"_links" : {
"create comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/6829fddc-1661-432d-8871-380f61106d2d",
"type" : "PUT"
}
}
}
Create a comment
PUT /api/comments/{comment-id}
Creates the comment {comment-id}.
Prerequisites
- The comment must have been initialised in order to create it
- The target dataset
{dataset-id}or comment{comment-id}must exist
Body
Comment resource.
{
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:02.320589068] to ",
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560"
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/488b472c-3332-47d4-b422-facd944b74ce' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:02.320589068] to ",
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560"
}'
import requests
url = "https://app.meltano.com:443/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/488b472c-3332-47d4-b422-facd944b74ce"
data = {
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:02.320589068] to ",
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
201 Created
Comment with HAL links.
{
"id" : "488b472c-3332-47d4-b422-facd944b74ce",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:02.320589068] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:02.434573531",
"lastModified" : "2026-10-23T13:46:02.434574899",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/488b472c-3332-47d4-b422-facd944b74ce/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/488b472c-3332-47d4-b422-facd944b74ce",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/488b472c-3332-47d4-b422-facd944b74ce",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/488b472c-3332-47d4-b422-facd944b74ce"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/488b472c-3332-47d4-b422-facd944b74ce/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/488b472c-3332-47d4-b422-facd944b74ce",
"type" : "POST"
}
}
}
Update a comment
PUT /api/comments/{comment-id}
Updates the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Body
Comment resource.
{
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:02.976287554] to "
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6' -i -X GET
import requests
url = "https://app.meltano.com:443/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"message" : "SIT-generated reply Pesho [2026-10-23T13:46:03.134240673] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-23T13:46:03.188721",
"lastModified" : "2026-10-23T13:46:03.188722",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e6d8476f-7662-4ad4-a50d-7d407b7d6560",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/e6d8476f-7662-4ad4-a50d-7d407b7d6560/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/2824326d-70e9-4e86-9bdd-f1c7e8c40bf6",
"type" : "POST"
}
}
}
Record a like of a comment
PUT /api/comments/{comment-id}/like
Records a like of the comment {comment-id} from the authenticated user profile.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e/like' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e/like"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
No response body provided.
Remove a like from a comment
DELETE /api/comments/{comment-id}/like
Removes a like of the comment {comment-id} from the authenticated user profile.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e/like' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/comments/ad955dd4-7dd2-44b0-8add-215ab26f4d4e/like"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.
Delete a comment
DELETE /api/comments/{comment-id}
Deletes the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/fce9ef31-2548-45a3-9a21-41f3f1d85d80' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/comments/fce9ef31-2548-45a3-9a21-41f3f1d85d80"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.